import { barChart, boxPlot, bubbleChart, bubbleOverlay, cboxMenu, compositeChart, dataCount, dataTable, geoChoroplethChart, heatMap, htmlLegend, legend, lineChart, numberDisplay, pieChart, rowChart, scatterPlot, selectMenu, seriesChart, sunburstChart, textFilterWidget } from 'dc';
import { useChart } from '../charts/use-chart';
import { baseMixin, stackMixin } from '../mixins';
import { BaseChart } from './base-chart';
export var BarChart = function BarChart(props) {
  return BaseChart(props, barChart, [baseMixin, stackMixin]);
};
export var BoxPlot = function BoxPlot(props) {
  return BaseChart(props, boxPlot);
};
export var BubbleChart = function BubbleChart(props) {
  return BaseChart(props, bubbleChart);
};
export var PieChart = function PieChart(props) {
  return BaseChart(props, pieChart);
};
export var BubbleOverlay = function BubbleOverlay(props) {
  return BaseChart(props, bubbleOverlay);
};
export var CboxMenu = function CboxMenu(props) {
  return BaseChart(props, cboxMenu);
};
export var CompositeChart = function CompositeChart(props) {
  return BaseChart(props, compositeChart);
};
export var DataCount = function DataCount(props) {
  return BaseChart(props, dataCount);
};
export var DataTable = function DataTable(props) {
  return BaseChart(props, dataTable);
};
export var GeoChoroplethChart = function GeoChoroplethChart(props) {
  return BaseChart(props, geoChoroplethChart);
};
export var Heatmap = function Heatmap(props) {
  return BaseChart(props, heatMap);
};
export var HtmlLegend = function HtmlLegend(props) {
  return BaseChart(props, htmlLegend);
};
export var Legend = function Legend(props) {
  return BaseChart(props, legend);
};
export var LineChart = function LineChart(props) {
  return BaseChart(props, lineChart);
};
export var NumberDisplay = function NumberDisplay(props) {
  return BaseChart(props, numberDisplay);
};
export var RowChart = function RowChart(props) {
  return BaseChart(props, rowChart);
};
export var ScatterPlot = function ScatterPlot(props) {
  return BaseChart(props, scatterPlot);
};
export var SelectMenu = function SelectMenu(props) {
  return BaseChart(props, selectMenu);
};
export var SeriesChart = function SeriesChart(props) {
  return BaseChart(props, seriesChart);
};
export var SunburstChart = function SunburstChart(props) {
  return BaseChart(props, sunburstChart);
};
export var TextFilterWidget = function TextFilterWidget(props) {
  return BaseChart(props, textFilterWidget);
};
export { useChart };